This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483304 - TPS error template does not display correctly
TPS error template does not display correctly
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Jenny Galipeau
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-01-30 15:09 EST by Ade Lee
Modified: 2015-01-04 18:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
authorization failure error screen shot (85.29 KB, image/png)
2009-06-25 14:16 EDT, Jenny Galipeau
no flags Details

  None (edit)
Description Ade Lee 2009-01-30 15:09:57 EST
Description of problem:
Need to modify return code from handler to have TPS error template display correctly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ade Lee 2009-02-26 23:46:27 EST
Fix in patch as part of 484275

Decision was made to replace DECLINED with DONE to return template correctly and stop processing of request.

[builder@dhcp231-124 pki]$ svn ci -m "Bugzilla 484275 and 483304: TPS roles defined and error templates"
Sending        base/tps/doc/CS.cfg
Sending        base/tps/src/modules/tokendb/mod_tokendb.cpp
Sending        base/tps/src/tus/tus_db.c
Sending        dogtag/tps/pki-tps.spec
Sending        dogtag/tps-ui/dogtag-pki-tps-ui.spec
Sending        dogtag/tps-ui/shared/docroot/tokendb/edit.template
Deleting       dogtag/tps-ui/shared/docroot/tokendb/editAdmin.template
Deleting       dogtag/tps-ui/shared/docroot/tokendb/editAdminResults.template
Sending        dogtag/tps-ui/shared/docroot/tokendb/index.template
Sending        dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template
Adding         dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template
Adding         dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template
Sending        dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template
Transmitting file data ...........
Committed revision 261.
Comment 2 Jenny Galipeau 2009-06-04 16:41:15 EDT
please add steps to verify this bug. thanks
Comment 3 Ade Lee 2009-06-05 12:05:34 EDT
Error templates include unauthorized access.

Try this:
1. Create a user that has admin, agent and operator roles. (user 1)  
2. Create another user that has agent and operator roles (user 2)
3. Log in as user1.  You should see three tabs (admin, agent, operator).
4. Clear your cache and authenticated sessions.  Click on the admin tab
5. When prompted for a cert, select user2.  You should see a screen that indicates that you are not authorized to access this page.  Before the fix, a blank page would have been observed.
Comment 4 Jenny Galipeau 2009-06-05 12:10:52 EDT
thanks!
Comment 5 Jenny Galipeau 2009-06-25 14:16:17 EDT
Created attachment 349440 [details]
authorization failure error screen shot

Verified - see attached screen shot

Note You need to log in before you can comment on or make changes to this bug.